import{s as Jl,n as Ql,o as Wl}from"../chunks/scheduler.0219f8bd.js";import{S as Xl,i as Yl,g as s,s as r,r as n,A as Zl,h as d,f as l,c as o,j as u,u as p,x as c,k as a,y as ei,a as i,v as f,d as m,t as h,w as b}from"../chunks/index.f61edf3b.js";import{H as v,E as ti}from"../chunks/EditOnGithub.48fa589f.js";function li(ul){let y,we,Me,Pe,T,Ee,$,je,x,nl="Core utility functions/classes for Transformers.js.",Re,_,pl=`These are only used internally, meaning an end-user shouldn’t
need to access anything here.`,ke,H,fl='<li><a href="#module_utils/core">utils/core</a><ul><li><a href="#module_utils/core.reverseDictionary"><code>.reverseDictionary(data)</code></a> ⇒ <code>Object</code></li> <li><a href="#module_utils/core.escapeRegExp"><code>.escapeRegExp(string)</code></a> ⇒ <code>string</code></li> <li><a href="#module_utils/core.isTypedArray"><code>.isTypedArray(val)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.isIntegralNumber"><code>.isIntegralNumber(x)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.isNullishDimension"><code>.isNullishDimension(x)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.calculateDimensions"><code>.calculateDimensions(arr)</code></a> ⇒ <code>Array.&lt;number&gt;</code></li> <li><a href="#module_utils/core.pop"><code>.pop(obj, key, defaultValue)</code></a> ⇒ <code>*</code></li> <li><a href="#module_utils/core.mergeArrays"><code>.mergeArrays(arrs)</code></a> ⇒ <code>Array</code></li> <li><a href="#module_utils/core.calculateReflectOffset"><code>.calculateReflectOffset(i, w)</code></a> ⇒ <code>number</code></li> <li><a href="#module_utils/core.pick"><code>.pick(o, props)</code></a> ⇒ <code>Object</code></li> <li><a href="#module_utils/core.len"><code>.len(s)</code></a> ⇒ <code>number</code></li></ul></li>',De,Oe,Be,L,Ke,g,Ne,C,ml="Reverses the keys and values of an object.",ze,M,hl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Object</code> - The reversed object.<br/> <strong>See</strong>: <a href="https://ultimatecourses.com/blog/reverse-object-keys-and-values-in-javascript" rel="nofollow">https://ultimatecourses.com/blog/reverse-object-keys-and-values-in-javascript</a>',Ie,A,bl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>data</td><td><code>Object</code></td><td><p>The object to reverse.</p></td></tr></tbody>",qe,Se,Ve,w,Ue,P,Ge,E,vl="Escapes regular expression special characters from a string by replacing them with their escaped counterparts.",Fe,j,yl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>string</code> - The escaped string.',Je,R,Tl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>string</td><td><code>string</code></td><td><p>The string to escape.</p></td></tr></tbody>",Qe,We,Xe,k,Ye,D,Ze,O,$l="Check if a value is a typed array.",et,B,xl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value is a <code>TypedArray</code>, false otherwise.',tt,K,_l='Adapted from <a href="https://stackoverflow.com/a/71091338/13989043" rel="nofollow">https://stackoverflow.com/a/71091338/13989043</a>',lt,N,Hl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>val</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",it,rt,ot,z,st,I,dt,q,Ll="Check if a value is an integer.",ct,S,gl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value is a string, false otherwise.',at,V,Cl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>x</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",ut,nt,pt,U,ft,G,mt,F,Ml="Determine if a provided width or height is nullish.",ht,J,Al='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value is <code>null</code>, <code>undefined</code> or <code>-1</code>, false otherwise.',bt,Q,wl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>x</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",vt,yt,Tt,W,$t,X,xt,Y,Pl="Calculates the dimensions of a nested array.",_t,Z,El='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Array.&lt;number&gt;</code> - An array containing the dimensions of the input array.',Ht,ee,jl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arr</td><td><code>Array.&lt;any&gt;</code></td><td><p>The nested array to calculate dimensions for.</p></td></tr></tbody>",Lt,gt,Ct,te,Mt,le,At,ie,Rl="Replicate python’s .pop() method for objects.",wt,re,kl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>*</code> - The value of the popped key.<br/> <strong>Throws</strong>:',Pt,oe,Dl="<li><code>Error</code> If the key does not exist and no default value is provided.</li>",Et,se,Ol="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>obj</td><td><code>Object</code></td><td><p>The object to pop from.</p></td> </tr><tr><td>key</td><td><code>string</code></td><td><p>The key to pop.</p></td> </tr><tr><td>defaultValue</td><td><code>*</code></td><td><p>The default value to return if the key does not exist.</p></td></tr></tbody>",jt,Rt,kt,de,Dt,ce,Ot,ae,Bl=`Efficiently merge arrays, creating a new copy.
Adapted from <a href="https://stackoverflow.com/a/6768642/13989043" rel="nofollow">https://stackoverflow.com/a/6768642/13989043</a>`,Bt,ue,Kl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Array</code> - The merged array.',Kt,ne,Nl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arrs</td><td><code>Array.&lt;Array&gt;</code></td><td><p>Arrays to merge.</p></td></tr></tbody>",Nt,zt,It,pe,qt,fe,St,me,zl="Calculates the index offset for a given index and window size.",Vt,he,Il='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>number</code> - The index offset.',Ut,be,ql="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>i</td><td><code>number</code></td><td><p>The index.</p></td> </tr><tr><td>w</td><td><code>number</code></td><td><p>The window size.</p></td></tr></tbody>",Gt,Ft,Jt,ve,Qt,ye,Wt,Te,Sl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a>',Xt,$e,Vl="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>o</td><td><code>Object</code></td> </tr><tr><td>props</td><td><code>Array.&lt;string&gt;</code></td></tr></tbody>",Yt,Zt,el,xe,tl,_e,ll,He,Ul=`Calculate the length of a string, taking multi-byte characters into account.
This mimics the behavior of Python’s <code>len</code> function.`,il,Le,Gl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>number</code> - The length of the string.',rl,ge,Fl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>s</td><td><code>string</code></td><td><p>The string to calculate the length of.</p></td></tr></tbody>",ol,sl,dl,Ce,cl,Ae,al;return $=new v({props:{title:"utils/core",local:"utilscore",headingTag:"h1"}}),g=new v({props:{title:"utils/core.reverseDictionary(data) ⇒ <code> Object </code>",local:"utilscorereversedictionarydata--code-object-code",headingTag:"h2"}}),P=new v({props:{title:"utils/core.escapeRegExp(string) ⇒ <code> string </code>",local:"utilscoreescaperegexpstring--code-string-code",headingTag:"h2"}}),D=new v({props:{title:"utils/core.isTypedArray(val) ⇒ <code> boolean </code>",local:"utilscoreistypedarrayval--code-boolean-code",headingTag:"h2"}}),I=new v({props:{title:"utils/core.isIntegralNumber(x) ⇒ <code> boolean </code>",local:"utilscoreisintegralnumberx--code-boolean-code",headingTag:"h2"}}),G=new v({props:{title:"utils/core.isNullishDimension(x) ⇒ <code> boolean </code>",local:"utilscoreisnullishdimensionx--code-boolean-code",headingTag:"h2"}}),X=new v({props:{title:"utils/core.calculateDimensions(arr) ⇒ <code> Array. < number > </code>",local:"utilscorecalculatedimensionsarr--code-array--number--code",headingTag:"h2"}}),le=new v({props:{title:"utils/core.pop(obj, key, defaultValue) ⇒ <code> * </code>",local:"utilscorepopobj-key-defaultvalue--code--code",headingTag:"h2"}}),ce=new v({props:{title:"utils/core.mergeArrays(arrs) ⇒ <code> Array </code>",local:"utilscoremergearraysarrs--code-array-code",headingTag:"h2"}}),fe=new v({props:{title:"utils/core.calculateReflectOffset(i, w) ⇒ <code> number </code>",local:"utilscorecalculatereflectoffseti-w--code-number-code",headingTag:"h2"}}),ye=new v({props:{title:"utils/core.pick(o, props) ⇒ <code> Object </code>",local:"utilscorepicko-props--code-object-code",headingTag:"h2"}}),_e=new v({props:{title:"utils/core.len(s) ⇒ <code> number </code>",local:"utilscorelens--code-number-code",headingTag:"h2"}}),Ce=new ti({props:{source:"https://github.com/huggingface/transformers.js/blob/main/docs/source/api/utils/core.md"}}),{c(){y=s("meta"),we=r(),Me=s("p"),Pe=r(),T=s("a"),Ee=r(),n($.$$.fragment),je=r(),x=s("p"),x.textContent=nl,Re=r(),_=s("p"),_.textContent=pl,ke=r(),H=s("ul"),H.innerHTML=fl,De=r(),Oe=s("hr"),Be=r(),L=s("a"),Ke=r(),n(g.$$.fragment),Ne=r(),C=s("p"),C.textContent=ml,ze=r(),M=s("p"),M.innerHTML=hl,Ie=r(),A=s("table"),A.innerHTML=bl,qe=r(),Se=s("hr"),Ve=r(),w=s("a"),Ue=r(),n(P.$$.fragment),Ge=r(),E=s("p"),E.textContent=vl,Fe=r(),j=s("p"),j.innerHTML=yl,Je=r(),R=s("table"),R.innerHTML=Tl,Qe=r(),We=s("hr"),Xe=r(),k=s("a"),Ye=r(),n(D.$$.fragment),Ze=r(),O=s("p"),O.textContent=$l,et=r(),B=s("p"),B.innerHTML=xl,tt=r(),K=s("p"),K.innerHTML=_l,lt=r(),N=s("table"),N.innerHTML=Hl,it=r(),rt=s("hr"),ot=r(),z=s("a"),st=r(),n(I.$$.fragment),dt=r(),q=s("p"),q.textContent=Ll,ct=r(),S=s("p"),S.innerHTML=gl,at=r(),V=s("table"),V.innerHTML=Cl,ut=r(),nt=s("hr"),pt=r(),U=s("a"),ft=r(),n(G.$$.fragment),mt=r(),F=s("p"),F.textContent=Ml,ht=r(),J=s("p"),J.innerHTML=Al,bt=r(),Q=s("table"),Q.innerHTML=wl,vt=r(),yt=s("hr"),Tt=r(),W=s("a"),$t=r(),n(X.$$.fragment),xt=r(),Y=s("p"),Y.textContent=Pl,_t=r(),Z=s("p"),Z.innerHTML=El,Ht=r(),ee=s("table"),ee.innerHTML=jl,Lt=r(),gt=s("hr"),Ct=r(),te=s("a"),Mt=r(),n(le.$$.fragment),At=r(),ie=s("p"),ie.textContent=Rl,wt=r(),re=s("p"),re.innerHTML=kl,Pt=r(),oe=s("ul"),oe.innerHTML=Dl,Et=r(),se=s("table"),se.innerHTML=Ol,jt=r(),Rt=s("hr"),kt=r(),de=s("a"),Dt=r(),n(ce.$$.fragment),Ot=r(),ae=s("p"),ae.innerHTML=Bl,Bt=r(),ue=s("p"),ue.innerHTML=Kl,Kt=r(),ne=s("table"),ne.innerHTML=Nl,Nt=r(),zt=s("hr"),It=r(),pe=s("a"),qt=r(),n(fe.$$.fragment),St=r(),me=s("p"),me.textContent=zl,Vt=r(),he=s("p"),he.innerHTML=Il,Ut=r(),be=s("table"),be.innerHTML=ql,Gt=r(),Ft=s("hr"),Jt=r(),ve=s("a"),Qt=r(),n(ye.$$.fragment),Wt=r(),Te=s("p"),Te.innerHTML=Sl,Xt=r(),$e=s("table"),$e.innerHTML=Vl,Yt=r(),Zt=s("hr"),el=r(),xe=s("a"),tl=r(),n(_e.$$.fragment),ll=r(),He=s("p"),He.innerHTML=Ul,il=r(),Le=s("p"),Le.innerHTML=Gl,rl=r(),ge=s("table"),ge.innerHTML=Fl,ol=r(),sl=s("hr"),dl=r(),n(Ce.$$.fragment),cl=r(),Ae=s("p"),this.h()},l(e){const t=Zl("svelte-u9bgzb",document.head);y=d(t,"META",{name:!0,content:!0}),t.forEach(l),we=o(e),Me=d(e,"P",{}),u(Me).forEach(l),Pe=o(e),T=d(e,"A",{id:!0,class:!0}),u(T).forEach(l),Ee=o(e),p($.$$.fragment,e),je=o(e),x=d(e,"P",{"data-svelte-h":!0}),c(x)!=="svelte-u71mwf"&&(x.textContent=nl),Re=o(e),_=d(e,"P",{"data-svelte-h":!0}),c(_)!=="svelte-1r3ntfo"&&(_.textContent=pl),ke=o(e),H=d(e,"UL",{"data-svelte-h":!0}),c(H)!=="svelte-4qjnuu"&&(H.innerHTML=fl),De=o(e),Oe=d(e,"HR",{}),Be=o(e),L=d(e,"A",{id:!0,class:!0}),u(L).forEach(l),Ke=o(e),p(g.$$.fragment,e),Ne=o(e),C=d(e,"P",{"data-svelte-h":!0}),c(C)!=="svelte-dvlmk2"&&(C.textContent=ml),ze=o(e),M=d(e,"P",{"data-svelte-h":!0}),c(M)!=="svelte-14f6o7p"&&(M.innerHTML=hl),Ie=o(e),A=d(e,"TABLE",{"data-svelte-h":!0}),c(A)!=="svelte-8if77n"&&(A.innerHTML=bl),qe=o(e),Se=d(e,"HR",{}),Ve=o(e),w=d(e,"A",{id:!0,class:!0}),u(w).forEach(l),Ue=o(e),p(P.$$.fragment,e),Ge=o(e),E=d(e,"P",{"data-svelte-h":!0}),c(E)!=="svelte-14ro5y0"&&(E.textContent=vl),Fe=o(e),j=d(e,"P",{"data-svelte-h":!0}),c(j)!=="svelte-nstyrr"&&(j.innerHTML=yl),Je=o(e),R=d(e,"TABLE",{"data-svelte-h":!0}),c(R)!=="svelte-1h5d263"&&(R.innerHTML=Tl),Qe=o(e),We=d(e,"HR",{}),Xe=o(e),k=d(e,"A",{id:!0,class:!0}),u(k).forEach(l),Ye=o(e),p(D.$$.fragment,e),Ze=o(e),O=d(e,"P",{"data-svelte-h":!0}),c(O)!=="svelte-1oclrgb"&&(O.textContent=$l),et=o(e),B=d(e,"P",{"data-svelte-h":!0}),c(B)!=="svelte-1uuf78s"&&(B.innerHTML=xl),tt=o(e),K=d(e,"P",{"data-svelte-h":!0}),c(K)!=="svelte-pr567i"&&(K.innerHTML=_l),lt=o(e),N=d(e,"TABLE",{"data-svelte-h":!0}),c(N)!=="svelte-cdg32t"&&(N.innerHTML=Hl),it=o(e),rt=d(e,"HR",{}),ot=o(e),z=d(e,"A",{id:!0,class:!0}),u(z).forEach(l),st=o(e),p(I.$$.fragment,e),dt=o(e),q=d(e,"P",{"data-svelte-h":!0}),c(q)!=="svelte-1ityjuy"&&(q.textContent=Ll),ct=o(e),S=d(e,"P",{"data-svelte-h":!0}),c(S)!=="svelte-1n9m385"&&(S.innerHTML=gl),at=o(e),V=d(e,"TABLE",{"data-svelte-h":!0}),c(V)!=="svelte-6n2d7i"&&(V.innerHTML=Cl),ut=o(e),nt=d(e,"HR",{}),pt=o(e),U=d(e,"A",{id:!0,class:!0}),u(U).forEach(l),ft=o(e),p(G.$$.fragment,e),mt=o(e),F=d(e,"P",{"data-svelte-h":!0}),c(F)!=="svelte-1j46lct"&&(F.textContent=Ml),ht=o(e),J=d(e,"P",{"data-svelte-h":!0}),c(J)!=="svelte-7bsiqc"&&(J.innerHTML=Al),bt=o(e),Q=d(e,"TABLE",{"data-svelte-h":!0}),c(Q)!=="svelte-6n2d7i"&&(Q.innerHTML=wl),vt=o(e),yt=d(e,"HR",{}),Tt=o(e),W=d(e,"A",{id:!0,class:!0}),u(W).forEach(l),$t=o(e),p(X.$$.fragment,e),xt=o(e),Y=d(e,"P",{"data-svelte-h":!0}),c(Y)!=="svelte-1p78ixx"&&(Y.textContent=Pl),_t=o(e),Z=d(e,"P",{"data-svelte-h":!0}),c(Z)!=="svelte-15dw4oc"&&(Z.innerHTML=El),Ht=o(e),ee=d(e,"TABLE",{"data-svelte-h":!0}),c(ee)!=="svelte-1bdqiim"&&(ee.innerHTML=jl),Lt=o(e),gt=d(e,"HR",{}),Ct=o(e),te=d(e,"A",{id:!0,class:!0}),u(te).forEach(l),Mt=o(e),p(le.$$.fragment,e),At=o(e),ie=d(e,"P",{"data-svelte-h":!0}),c(ie)!=="svelte-1m1a0x7"&&(ie.textContent=Rl),wt=o(e),re=d(e,"P",{"data-svelte-h":!0}),c(re)!=="svelte-1dwq64m"&&(re.innerHTML=kl),Pt=o(e),oe=d(e,"UL",{"data-svelte-h":!0}),c(oe)!=="svelte-n4a723"&&(oe.innerHTML=Dl),Et=o(e),se=d(e,"TABLE",{"data-svelte-h":!0}),c(se)!=="svelte-j5xxk1"&&(se.innerHTML=Ol),jt=o(e),Rt=d(e,"HR",{}),kt=o(e),de=d(e,"A",{id:!0,class:!0}),u(de).forEach(l),Dt=o(e),p(ce.$$.fragment,e),Ot=o(e),ae=d(e,"P",{"data-svelte-h":!0}),c(ae)!=="svelte-kvbp1p"&&(ae.innerHTML=Bl),Bt=o(e),ue=d(e,"P",{"data-svelte-h":!0}),c(ue)!=="svelte-1ydcymw"&&(ue.innerHTML=Kl),Kt=o(e),ne=d(e,"TABLE",{"data-svelte-h":!0}),c(ne)!=="svelte-stz7tp"&&(ne.innerHTML=Nl),Nt=o(e),zt=d(e,"HR",{}),It=o(e),pe=d(e,"A",{id:!0,class:!0}),u(pe).forEach(l),qt=o(e),p(fe.$$.fragment,e),St=o(e),me=d(e,"P",{"data-svelte-h":!0}),c(me)!=="svelte-1m1ncmy"&&(me.textContent=zl),Vt=o(e),he=d(e,"P",{"data-svelte-h":!0}),c(he)!=="svelte-vsw9ui"&&(he.innerHTML=Il),Ut=o(e),be=d(e,"TABLE",{"data-svelte-h":!0}),c(be)!=="svelte-xzg366"&&(be.innerHTML=ql),Gt=o(e),Ft=d(e,"HR",{}),Jt=o(e),ve=d(e,"A",{id:!0,class:!0}),u(ve).forEach(l),Qt=o(e),p(ye.$$.fragment,e),Wt=o(e),Te=d(e,"P",{"data-svelte-h":!0}),c(Te)!=="svelte-zerxn5"&&(Te.innerHTML=Sl),Xt=o(e),$e=d(e,"TABLE",{"data-svelte-h":!0}),c($e)!=="svelte-18944ut"&&($e.innerHTML=Vl),Yt=o(e),Zt=d(e,"HR",{}),el=o(e),xe=d(e,"A",{id:!0,class:!0}),u(xe).forEach(l),tl=o(e),p(_e.$$.fragment,e),ll=o(e),He=d(e,"P",{"data-svelte-h":!0}),c(He)!=="svelte-vao8dt"&&(He.innerHTML=Ul),il=o(e),Le=d(e,"P",{"data-svelte-h":!0}),c(Le)!=="svelte-1to55la"&&(Le.innerHTML=Gl),rl=o(e),ge=d(e,"TABLE",{"data-svelte-h":!0}),c(ge)!=="svelte-5bfh4"&&(ge.innerHTML=Fl),ol=o(e),sl=d(e,"HR",{}),dl=o(e),p(Ce.$$.fragment,e),cl=o(e),Ae=d(e,"P",{}),u(Ae).forEach(l),this.h()},h(){a(y,"name","hf:doc:metadata"),a(y,"content",ii),a(T,"id","module_utils/core"),a(T,"class","group"),a(L,"id","module_utils/core.reverseDictionary"),a(L,"class","group"),a(w,"id","module_utils/core.escapeRegExp"),a(w,"class","group"),a(k,"id","module_utils/core.isTypedArray"),a(k,"class","group"),a(z,"id","module_utils/core.isIntegralNumber"),a(z,"class","group"),a(U,"id","module_utils/core.isNullishDimension"),a(U,"class","group"),a(W,"id","module_utils/core.calculateDimensions"),a(W,"class","group"),a(te,"id","module_utils/core.pop"),a(te,"class","group"),a(de,"id","module_utils/core.mergeArrays"),a(de,"class","group"),a(pe,"id","module_utils/core.calculateReflectOffset"),a(pe,"class","group"),a(ve,"id","module_utils/core.pick"),a(ve,"class","group"),a(xe,"id","module_utils/core.len"),a(xe,"class","group")},m(e,t){ei(document.head,y),i(e,we,t),i(e,Me,t),i(e,Pe,t),i(e,T,t),i(e,Ee,t),f($,e,t),i(e,je,t),i(e,x,t),i(e,Re,t),i(e,_,t),i(e,ke,t),i(e,H,t),i(e,De,t),i(e,Oe,t),i(e,Be,t),i(e,L,t),i(e,Ke,t),f(g,e,t),i(e,Ne,t),i(e,C,t),i(e,ze,t),i(e,M,t),i(e,Ie,t),i(e,A,t),i(e,qe,t),i(e,Se,t),i(e,Ve,t),i(e,w,t),i(e,Ue,t),f(P,e,t),i(e,Ge,t),i(e,E,t),i(e,Fe,t),i(e,j,t),i(e,Je,t),i(e,R,t),i(e,Qe,t),i(e,We,t),i(e,Xe,t),i(e,k,t),i(e,Ye,t),f(D,e,t),i(e,Ze,t),i(e,O,t),i(e,et,t),i(e,B,t),i(e,tt,t),i(e,K,t),i(e,lt,t),i(e,N,t),i(e,it,t),i(e,rt,t),i(e,ot,t),i(e,z,t),i(e,st,t),f(I,e,t),i(e,dt,t),i(e,q,t),i(e,ct,t),i(e,S,t),i(e,at,t),i(e,V,t),i(e,ut,t),i(e,nt,t),i(e,pt,t),i(e,U,t),i(e,ft,t),f(G,e,t),i(e,mt,t),i(e,F,t),i(e,ht,t),i(e,J,t),i(e,bt,t),i(e,Q,t),i(e,vt,t),i(e,yt,t),i(e,Tt,t),i(e,W,t),i(e,$t,t),f(X,e,t),i(e,xt,t),i(e,Y,t),i(e,_t,t),i(e,Z,t),i(e,Ht,t),i(e,ee,t),i(e,Lt,t),i(e,gt,t),i(e,Ct,t),i(e,te,t),i(e,Mt,t),f(le,e,t),i(e,At,t),i(e,ie,t),i(e,wt,t),i(e,re,t),i(e,Pt,t),i(e,oe,t),i(e,Et,t),i(e,se,t),i(e,jt,t),i(e,Rt,t),i(e,kt,t),i(e,de,t),i(e,Dt,t),f(ce,e,t),i(e,Ot,t),i(e,ae,t),i(e,Bt,t),i(e,ue,t),i(e,Kt,t),i(e,ne,t),i(e,Nt,t),i(e,zt,t),i(e,It,t),i(e,pe,t),i(e,qt,t),f(fe,e,t),i(e,St,t),i(e,me,t),i(e,Vt,t),i(e,he,t),i(e,Ut,t),i(e,be,t),i(e,Gt,t),i(e,Ft,t),i(e,Jt,t),i(e,ve,t),i(e,Qt,t),f(ye,e,t),i(e,Wt,t),i(e,Te,t),i(e,Xt,t),i(e,$e,t),i(e,Yt,t),i(e,Zt,t),i(e,el,t),i(e,xe,t),i(e,tl,t),f(_e,e,t),i(e,ll,t),i(e,He,t),i(e,il,t),i(e,Le,t),i(e,rl,t),i(e,ge,t),i(e,ol,t),i(e,sl,t),i(e,dl,t),f(Ce,e,t),i(e,cl,t),i(e,Ae,t),al=!0},p:Ql,i(e){al||(m($.$$.fragment,e),m(g.$$.fragment,e),m(P.$$.fragment,e),m(D.$$.fragment,e),m(I.$$.fragment,e),m(G.$$.fragment,e),m(X.$$.fragment,e),m(le.$$.fragment,e),m(ce.$$.fragment,e),m(fe.$$.fragment,e),m(ye.$$.fragment,e),m(_e.$$.fragment,e),m(Ce.$$.fragment,e),al=!0)},o(e){h($.$$.fragment,e),h(g.$$.fragment,e),h(P.$$.fragment,e),h(D.$$.fragment,e),h(I.$$.fragment,e),h(G.$$.fragment,e),h(X.$$.fragment,e),h(le.$$.fragment,e),h(ce.$$.fragment,e),h(fe.$$.fragment,e),h(ye.$$.fragment,e),h(_e.$$.fragment,e),h(Ce.$$.fragment,e),al=!1},d(e){e&&(l(we),l(Me),l(Pe),l(T),l(Ee),l(je),l(x),l(Re),l(_),l(ke),l(H),l(De),l(Oe),l(Be),l(L),l(Ke),l(Ne),l(C),l(ze),l(M),l(Ie),l(A),l(qe),l(Se),l(Ve),l(w),l(Ue),l(Ge),l(E),l(Fe),l(j),l(Je),l(R),l(Qe),l(We),l(Xe),l(k),l(Ye),l(Ze),l(O),l(et),l(B),l(tt),l(K),l(lt),l(N),l(it),l(rt),l(ot),l(z),l(st),l(dt),l(q),l(ct),l(S),l(at),l(V),l(ut),l(nt),l(pt),l(U),l(ft),l(mt),l(F),l(ht),l(J),l(bt),l(Q),l(vt),l(yt),l(Tt),l(W),l($t),l(xt),l(Y),l(_t),l(Z),l(Ht),l(ee),l(Lt),l(gt),l(Ct),l(te),l(Mt),l(At),l(ie),l(wt),l(re),l(Pt),l(oe),l(Et),l(se),l(jt),l(Rt),l(kt),l(de),l(Dt),l(Ot),l(ae),l(Bt),l(ue),l(Kt),l(ne),l(Nt),l(zt),l(It),l(pe),l(qt),l(St),l(me),l(Vt),l(he),l(Ut),l(be),l(Gt),l(Ft),l(Jt),l(ve),l(Qt),l(Wt),l(Te),l(Xt),l($e),l(Yt),l(Zt),l(el),l(xe),l(tl),l(ll),l(He),l(il),l(Le),l(rl),l(ge),l(ol),l(sl),l(dl),l(cl),l(Ae)),l(y),b($,e),b(g,e),b(P,e),b(D,e),b(I,e),b(G,e),b(X,e),b(le,e),b(ce,e),b(fe,e),b(ye,e),b(_e,e),b(Ce,e)}}}const ii='{"title":"utils/core","local":"utilscore","sections":[{"title":"utils/core.reverseDictionary(data) ⇒ <code> Object </code>","local":"utilscorereversedictionarydata--code-object-code","sections":[],"depth":2},{"title":"utils/core.escapeRegExp(string) ⇒ <code> string </code>","local":"utilscoreescaperegexpstring--code-string-code","sections":[],"depth":2},{"title":"utils/core.isTypedArray(val) ⇒ <code> boolean </code>","local":"utilscoreistypedarrayval--code-boolean-code","sections":[],"depth":2},{"title":"utils/core.isIntegralNumber(x) ⇒ <code> boolean </code>","local":"utilscoreisintegralnumberx--code-boolean-code","sections":[],"depth":2},{"title":"utils/core.isNullishDimension(x) ⇒ <code> boolean </code>","local":"utilscoreisnullishdimensionx--code-boolean-code","sections":[],"depth":2},{"title":"utils/core.calculateDimensions(arr) ⇒ <code> Array. < number > </code>","local":"utilscorecalculatedimensionsarr--code-array--number--code","sections":[],"depth":2},{"title":"utils/core.pop(obj, key, defaultValue) ⇒ <code> * </code>","local":"utilscorepopobj-key-defaultvalue--code--code","sections":[],"depth":2},{"title":"utils/core.mergeArrays(arrs) ⇒ <code> Array </code>","local":"utilscoremergearraysarrs--code-array-code","sections":[],"depth":2},{"title":"utils/core.calculateReflectOffset(i, w) ⇒ <code> number </code>","local":"utilscorecalculatereflectoffseti-w--code-number-code","sections":[],"depth":2},{"title":"utils/core.pick(o, props) ⇒ <code> Object </code>","local":"utilscorepicko-props--code-object-code","sections":[],"depth":2},{"title":"utils/core.len(s) ⇒ <code> number </code>","local":"utilscorelens--code-number-code","sections":[],"depth":2}],"depth":1}';function ri(ul){return Wl(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ci extends Xl{constructor(y){super(),Yl(this,y,ri,li,Jl,{})}}export{ci as component};
